Creates a webhook subscription for vault lifecycle events. Optional object filters can limit notifications to specific vault objects.
curl --request POST \
--url https://api.case.dev/vault/{id}/events/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"callbackUrl": "<string>",
"eventTypes": [
"<string>"
],
"objectIds": [
"<string>"
],
"signingSecret": "<string>"
}
'API key starting with sk_case_
Vault ID
Webhook endpoint URL that will receive vault event deliveries
Vault event types to deliver. Omit to receive the default supported set.
Vault object IDs to limit notifications to. Omit to receive events for all objects in the vault.
Optional secret used to sign outbound webhook deliveries
Vault webhook subscription created successfully
Was this page helpful?
curl --request POST \
--url https://api.case.dev/vault/{id}/events/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"callbackUrl": "<string>",
"eventTypes": [
"<string>"
],
"objectIds": [
"<string>"
],
"signingSecret": "<string>"
}
'